function H = myhdatainit(THIS,NPER,NCOL,PREC)
% hdatainit  [Not a public function] Initialise HDATAOBJ for model-specific output data.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

if ~exist('PREC','var')
    PREC = 'double';
end

%**************************************************************************

H = hdataobj();
H.data = struct();
list = THIS.name(THIS.nametype <= 3);
nlist = length(list);
maxlag = -min(imag(THIS.solutionid{2}));
for i = 1 : nlist
    H.data.(list{i}) = nan(NPER+maxlag,NCOL,PREC);
end

end